Loading...
Searching...
No Matches
variance.h File Reference
`#include "platform.h"`
`#include "functional.h"`
`#include "type_traits.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::private_variance::variance_traits< TInput, TCalc >
| Types for generic variance. More...
struct | etl::private_variance::variance_traits< float, TCalc >
| Types for float variance. More...
struct | etl::private_variance::variance_traits< double, TCalc >
| Types for double variance. More...
struct | etl::private_variance::variance_type_helper< T >
struct | etl::variance_type
class | etl::variance< Variance_Type, TInput, TCalc >
| Variance. More...

## Namespaces

namespace | etl
namespace | etl::private_variance
| Variance Type.

## Variables

template<typename T>
ETL_CONSTANT bool | etl::private_variance::variance_type_helper< T >::Sample
template<typename T>
ETL_CONSTANT bool | etl::private_variance::variance_type_helper< T >::Population